Bug 57708 - Root's PATH grows with each new shell spawned
Summary: Root's PATH grows with each new shell spawned
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rootfiles   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-19 19:56 UTC by Bryan Wright
Modified: 2014-03-17 02:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 03:40:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bryan Wright 2001-12-19 19:56:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.14-5.0 i686)

Description of problem:
The .cshrc included in the rootfiles rpm adds stuff to the front and back
of the PATH variable
each time a new shell is spawned.  This causes PATH to get longer and
longer, with redundant elements at the front and back.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Under KDE, Log in as root with tcsh as the login shell.
2.  Open a konsole and type "printenv PATH | wc -c"
3.  Type "konsole &", and repeat step 2 in the resulting window.
4. Repeat steps 2 and 3 in each new window, and watch the length of PATH
grow.
	

Actual Results:  Path grew longer in each spawned shell.

Expected Results:  PATH should be constant.

Additional info:

The PATH-modifying statement in root's .cshrc should be removed, and
replaced with code
that first checks the path for directories before adding them.  Or, even
better, this should be
done some place else,  ideally setting PATH for regular users and PATH for
root in some central place independent of login shell.

Comment 1 Bill Nottingham 2004-09-23 03:40:59 UTC
Fixed in > 7.2-7.

Comment 2 Bill Nottingham 2004-09-23 03:59:36 UTC
(and setup-2.5.34-1)


Note You need to log in before you can comment on or make changes to this bug.